# Load Track Documents Webhook

Receives documents for load tracks.

Endpoint: POST /loadtrack/documentupdate
Version: 1.0.1

## Request fields (application/json):

  - `partnerId` (integer)
    This is a unique integer id that is assigned to the Partner system to identify the Partner system by the Load Track system. This has to be sent on each webservice call.
    Example: 123

  - `accountId` (string)
    Unique identifier of the Agent in the Broker System that entered the Load Track. This accountId has to be encrypted with the shared secret of the partner. This shared secret will be shared during the integration process.
    Example: abcd123

  - `loadTrackId` (integer)
    The unique identifier of the load in TT system.
    Example: 1234

  - `loadTrackExternalId` (integer)
    The unique identifier of the Load in the Partner system.
    Example: 12345

  - `ltExternalId` (string)
    Example: 123456

  - `carrierExternalId` (string)
    The unique identifier of the carrier in the Partner System
    Example: null

  - `driverPhone` (string)
    Ten-digit cell phone number of driver that will haul the load.
    Example: 1231231234

  - `loadNumber` (string)
    Load Number that is specified by the Broker. This could be the pro number.
    Example: 1234

  - `eventType` (string)
    Event type of the webhook being sent; can be LocationUpdate, StatusUpdate, DocumentUpdate, or CommentUpdate.
    Example: DocumentUpdate

  - `latestLocation` (object)

  - `latestLocation.lat` (string)
    Latitude of current loctation of load.
    Example: 41.788933

  - `latestLocation.lon` (string)
    Longitude of current location of load.
    Example: -86.945915

  - `latestLocation.accuracy` (number)
    Example: 4.745

  - `latestLocation.timestampSec` (string)
    Timestamp of when location update was given in seconds of current timezone.
    Example: 01/18/2023 17:32:48 CST

  - `latestLocation.timestamp` (string)
    Timestamp of when location update was given of current timezone.
    Example: 01/18/2023 17:32 CST

  - `latestLocation.timestampUTC` (string)
    Timestamp of when location update was given converted to UTC time.
    Example: 01/18/2023 23:32:48 UTC

  - `latestLocation.provider` (string)
    Source of where location update was pulled from.
    Example: APP

  - `latestLocation.city` (string)
    City of current location of load.
    Example: Oak Creek

  - `latestLocation.state` (string)
    State of current location of load.
    Example: WI

  - `latestLocation.country` (string)
    Country of current location of load.
    Example: USA

  - `latestStatus` (object)

  - `latestStatus.name` (string)
    Name of status code being sent.
    Example: Tracking

  - `latestStatus.code` (string)
    Code of status being sent.
    Example: TLT

  - `latestStatus.timestamp` (string)
    Timestamp of when status is being sent.
    Example: 01/18/2023 17:32 CST

  - `latestStatus.timestampSec` (string)
    Timestamp of when status is being sent in seconds.
    Example: 01/18/2023 17:32:48 CST

  - `latestStatus.timestampUTC` (string)
    Timestamp of when status is being sent converted to UTC time.
    Example: 01/18/2023 23:32:48

  - `document` (object)

  - `document.type` (string)
    Type of document being uploaded by driver on load track.
    Example: Proof of Delivery

  - `document.location` (object)

  - `document.location.lat` (string)
    Latitude of load when document was uploaded.
    Example: 48.3034387

  - `document.location.lon` (string)
    Longtitude of load when document was uploaded.
    Example: -123.33445

  - `document.location.accuracy` (string)
    Example: 4.76564662

  - `document.location.city` (string)
    City of load when document was uploaded.
    Example: Parksville

  - `document.location.state` (string)
    State of load when document was uploaded.
    Example: BC

  - `document.location.country` (string)
    Country of load when document was uploaded.
    Example: CAN

  - `document.timestamp` (string)
    Timestamp when document was uploaded.
    Example: 01/18/2023 16:04:10 PST

  - `document.url` (string)
    Example: https://assets.truckertools.com/images/tt-scan-docs/scanImageuploads/abc.jpg

  - `document.stopExternalId` (string)
    Example: 1234

  - `document.stopOrderNumber` (integer)
    Example: 2

  - `driver` (object)

  - `driver.name` (string)
    Example: John Doe

  - `driver.phoneNumber` (string)
    Example: 1234567890

## Response 200:

  - `200` (unknown)
    OK

